package de.ivu.elect.interfaces.was.wahlbeteiligung;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class WahlbeteiligungVerlauf implements Serializable {

  @XmlElement(required = true)
  private String wahlterminNummer;

  @XmlElement(required = true)
  private Date wahldatum;

  @XmlElement(required = true)
  private String wahlart;

  @XmlElement(required = true)
  private Date datum;

  @XmlElement(required = false)
  private Date altesDatum;

  @XmlElement(required = false)
  private String bemerkung;

  @XmlElement(required = true)
  private String name;

  @XmlElement(required = false)
  private Date alterName;

  @XmlElement(required = false)
  private Boolean loeschen;

  @XmlElement(required = true)
  private String status;

  @XmlElement(required = true)
  private String typ;

  @XmlElementWrapper(name = "wahlbeteiligungVerlaeufeGebiet", nillable = false, required = true)
  @XmlElement(required = false, name = "wahlbeteiligungVerlaufGebiet", nillable = true)
  private List<WahlbeteiligungVerlaufGebiet> wahlbeteiligungVerlaeufeGebiet = new ArrayList<>();

  public Date getDatum() {
    return datum;
  }

  public void setDatum(Date datum) {
    this.datum = datum;
  }

  public String getBemerkung() {
    return bemerkung;
  }

  public void setBemerkung(String bemerkung) {
    this.bemerkung = bemerkung;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getTyp() {
    return typ;
  }

  public void setTyp(String typ) {
    this.typ = typ;
  }

  public List<WahlbeteiligungVerlaufGebiet> getWahlbeteiligungVerlaeufeGebiet() {
    return wahlbeteiligungVerlaeufeGebiet;
  }

  public void setWahlbeteiligungVerlaeufeGebiet(List<WahlbeteiligungVerlaufGebiet> wahlbeteiligungVerlaeufeGebiet) {
    this.wahlbeteiligungVerlaeufeGebiet = wahlbeteiligungVerlaeufeGebiet;
  }

  public String getWahlterminNummer() {
    return wahlterminNummer;
  }

  public void setWahlterminNummer(String wahlterminNummer) {
    this.wahlterminNummer = wahlterminNummer;
  }

  public Date getWahldatum() {
    return wahldatum;
  }

  public void setWahldatum(Date wahldatum) {
    this.wahldatum = wahldatum;
  }

  public String getWahlart() {
    return wahlart;
  }

  public void setWahlart(String wahlart) {
    this.wahlart = wahlart;
  }

  public Date getAltesDatum() {
    return altesDatum;
  }

  public void setAltesDatum(Date altesDatum) {
    this.altesDatum = altesDatum;
  }

  public Date getAlterName() {
    return alterName;
  }

  public void setAlterName(Date alterName) {
    this.alterName = alterName;
  }

  public Boolean getLoeschen() {
    return loeschen;
  }

  public void setLoeschen(Boolean loeschen) {
    this.loeschen = loeschen;
  }
}
